Chuyển tới nội dung chính

Delete Network

DELETE /v2.0/networks/{network_id}

Delete a network with the specified ID and its associated resources.

info

Request​

Path parameters​

NameTypeDescription
network_idstringThe ID of the network.

Example request​

Using curl​

curl -ks -X DELETE \
-H 'Content-Type: application/json' \
-H 'X-Auth-Token: gAAAAA<...>' \
https://api.vietnix.cloud:9696/v2.0/networks/170546a1-a70a-40af-93e2-9261c7c05b77

Using HTTP request​

DELETE https://api.vietnix.cloud:9696/v2.0/networks/{network_id}

Response​

This operation returns no body on success.

Status codes​

Success​

Status CodeDescription
204 - No ContentThe server has fulfilled the request.

Error​

Status CodeDescription
401 - UnauthorizedUser must authenticate before making a request.
404 - Not FoundThe requested resource could not be found.
409 - ConflictThis operation conflicted with another operation on this resource.
412 - Precondition FailedThe server does not meet one of the preconditions that the requester put on the request header fields.